import 'package:firebase_auth/firebase_auth.dart';

class UserMetaData {
  final DateTime? creationTime;
  final DateTime? lastSignInTime;

  UserMetaData(this.creationTime, this.lastSignInTime);

  factory UserMetaData.fromUserMetadata(UserMetadata userMetadata) =>
      UserMetaData(userMetadata.creationTime, userMetadata.lastSignInTime);

  @override
  String toString() {
    return 'UserMetaData{creationTime: $creationTime, lastSignInTime: $lastSignInTime}';
  }
}
